############################################################################################
## Configuration template for HT81x firmware version 1.0.21.4                             ##
############################################################################################

##############################################################################
##  Advanced Settings.                                                      ##
##############################################################################

# Admin password for web interface
# String; between ascii values 33 and 126
# Mandatory
P2 =admin

# Disable User Level Web Access. 0 - No, 1 - Yes
# Number: 0, 1  
# Mandatory
P28158 = 0 

# Disable Viewer Level Web Access. 0 - No, 1 - Yes
# Number: 0, 1  
# Mandatory
P28159 = 0 

# Layer 2 QoS. 
#802.1Q/VLAN Tag (VLAN classification for RTP)
# Number: 0 to 4094
# Mandatory
P51=0

# Layer 2 QoS. 
# SIP 802.1p priority value (0 - 7)
# Number: 0 to 7
# Mandatory
P5038=0

# Layer 2 QoS. 
# RTP 802.1p priority value (0 - 7)
# Number: 0 to 7
# Mandatory
P5042=0

# Black List for WAN Side Port
# Number: 0 to 65535
P28115 = 

# STUN server
# Server address
P76= 

# Keep-alive interval (in seconds. default 20 seconds)
# Number: 10 to 160
# Mandatory
P84=20

# Use STUN to detect network connectivity. 0 - No, 1 - Yes. 
# Number: 0, 1
# Mandatory
P474=0

# Total STUN response misses to restart DHCP (mininum=3 default=3)
# Number: 3 to 15
# Mandatory
P475=3

# Use DNS to detect network connectivity
# Number: 0, 1
# 0 - No, 1 - Yes (default is No)
P1564=0

# Use ARP to detect network connectivity. 0 - NO, 1 - Yes. Default is 1.
# Number: 0, 1
# Mandatory
P8512 = 1

#################################################################################
# Firmware Upgrade                                                              #
#################################################################################
# Verify host when using HTTPS
# Number: 0, 1
# 0 - No, 1 - Yes (default is No)
P22030=0

# Firmware Upgrade and Privisioning. 0 - TFTP Upgrade, 1 - HTTP Upgrade, 2 - HTTPS Upgrade, 3 - FTP Upgrade, 4 - FTPS Upgrade
# Number: 0, 1, 2, 3, 4
# Mandatory
P212=2

# Firmware Server Path
# Server address
P192=fm.grandstream.com/gs

# Config Server Path
# Server address; 
P237=fm.grandstream.com/gs

# XML Config File Password
# String; between ascii values 33 and 126
# Mandatory
P1359= 

# HTTP/HTTPS User Name
# String; between ascii values 33 and 126
P1360=

# HTTP/HTTPS Password
# String; between ascii values 33 and 126
P1361=

# Firmware File Prefix
# String; between ascii values 33 and 126
P232=

# Firmware File Postfix
# String; between ascii values 33 and 126
P233=

# Config File Prefix
# String; between ascii values 33 and 126
P234=

# Config File Postfix
# String; between ascii values 33 and 126
P235=

# Allow DHCP Option 66 or 160 to override server. 0 - No, 1 - Yes. Default is Yes.
# When set to Yes(1), it will override the configured provision path and method.
# Number: 0, 1
# Mandatory
P145=1

# 3CX Auto Provision. 0 - No, 1 - Yes. Default is Yes.
# Number: 0, 1
# Mandatory
P1414=1

# Automatic Upgrade. 0 - No, 1 - Check every () minutes, 2 - Check daily, 3 - Check weekly. Default is No.
# Number: 0, 1, 2, 3
# Mandatory
P22296=0

# Check for new firmware/config file every () minutes, unit is in minute, minimum 60 minutes, default is 7 days.
# Number: 60 to 5256000
# Mandatory
P193=10080

# Automatic Upgrade. Daily at hour(0-23)
# Number: 0 to 23
# Mandatory
P285=1

# Automatic Upgrade End Hour. In 0 to 23 hour range. Default is 22.
# Number: 0 to 23
# Mandatory
P8459 = 22

# Automatic Upgrade. Weekly on day (0-6)
# Number: 0 to 6
# Mandatory
P286=1

# Randomized Automatic Upgrade. 0 - No, 1 - Yes, default is 0.
# Number: 0, 1
# Mandatory
P8458 = 0 

# 0 = Always Check for New Firmware 
# 1 = Check New Firmware only when F/W pre/suffix changes 
# 2 = Always Skip the Firmware Check
# Number: 0, 1, 2
# Mandatory
P238=0

# Disable SIP NOTIFY Authentication. 0 - No, 1 - Yes. Default is Yes.
# Number: 0, 1
# Mandatory
P4428=1

# Authenticate Conf File
# Number: 0 No, 1 Yes  (cfg file would be authenticated before acceptance if set to Yes) 
# Mandatory
P240=0

# Validate Server Certificates. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
P8463 = 0

# Trusted CA Certificates A
# String
P2386 = 

# Trusted CA Certificates B
# String
P2486 = 

# Load CA Certificates. 0 - Built-in trusted certificates, 1 - Custom trusted certificates, 2 - All trusted certificates
# Number: 0, 1  
# Mandatory
P8502 = 0 

# SIP TLS Certificate
# String
# Maximum Length: 4096
#P280=

#SIP TLS Private Key
#String
# Maximum Length: 4096
#P279=

# SIP TLS Private Key Password
# String
# Max Length: 64 characters
P281=s1pphone

# Custom Certificate. (Private Key + Certificate)
# String
P8472 = 

# Enable TR-069. 0 - No, 1 - Yes (default is Yes)
# Number: 0, 1
# Mandatory
P1409=1

# ACS URL
#P4503=

# ACS Username
# String
P4504=

# ACS Password
# String
P4505=

# Periodic Inform Enable 0 - No, 1 - Yes (default is No)
# Number: 0, 1
# Mandatory
P4506=0

# Periodic Inform Interval (default is 300)
# Number: 1-99999
P4507=300

# Connection Request Username
# String
P4511=

# Connection Request Password
# String
P4512=

# Connection Request Port. Default is 7547
# Number: 0 - 65535
# Mandatory
P4518 = 7547

# CPE SSL Certificate
P8220=

# CPE SSL Private Key
P8221=

# Enable SNMP. 0 - No, 1 - Yes, default value is 0.
# Number: 0, 1
# Mandatory
P21896=0

# SNMP Version. 1 - Version 1, 2 - Version 2c, 3 - Version 3. Default value is 3.
# Nmuber: 1, 2, 3
# Mandatory
P21904=3

# SNMP Port. Default is port 162
# Number: 162 or 1025 to 65535
# Mandatory
P21903=162

# SNMP Trap IP Address
# Max String Length: 64
P21897=

# SNMP Trap Port. Default value is 162.
# Max String Length: 5
P21898=162

# SNMP Trap Version. 1 - Version 1, 2 - Version 2c, default is Version 2c.
# Number: 1, 2
# Mandatory
P21899= Version 2c

# SNMP Trap Interval. Default is 5.
# String
P21901=5

# SNMPv1/v2c Community
# Max Character Number: 64
P21902 =

# SNMP Trap Community
# Max String Length: 64
P21900=

# SNMPv3 User Name
# Max Character Number: 64
P21905= 

# SNMPv3 Security Level. 0 - noAuthUser, 1 - authUser, 2 - privUser. Default value is 0.
# Number: 0, 1, 2
# Mandatory
P21910=0 

# SNMPv3 Authentication Protocol. 0 - None, 1- MD5, 2- SHA. Default value is 0.
# Number: 0, 1, 2
# Mandatory
P21906=0

# SNMP Privacy Protocol. 0 - None, 1 - DES, 2 - AES | AES128. Default value is 0.
# Number: 0, 1, 2
# Mandatory
P21907=0

# SNMPv3 Authentication Key. 
P21908=

# SNMPv3 Privacy Key
P21909=

# SNMPv3 Trap User Name
# Max Character Nmuber: 64
P21911= 

# SNMPv3 Trap Security Level. 0 - noAuthUser, 1 - authUser, 2 - privUser. Default value is 0.
# Number: 0, 1, 2
# Mandatory
P21916=0 

# SNMPv3 Trap Authentication Protocol. 0 - None, 1- MD5, 2- SHA. Default value is 0.
# Number: 0, 1, 2
# Mandatory
P21912=0

# SNMP Trap Privacy Protocol. 0 - None, 1 - DES, 2 - AES | AES128. Default value is 0.
# Number: 0, 1, 2
# Mandatory
P21913=0

# SNMPv3 Trap Authentication Key. 
P21914=

# SNMPv3 Trap Privacy Key
P21915=

# Enable RAIUS Web Access Control. 0 - No, 1 - Yes. Default value is 0.
# Nmuber: 0, 1
# Mandatory
P28107=0

# Action up Radius Auth Server Error. 0 - Reject Access, 1 - Authenticate Locally. Default value is 1.
# Number: 0, 1
# Mandatory
P28114=1

# RADIUS Auth Server Address
# ipaddress
P28108= 

# RADIUS Auth Server Port
# Max Character Number = 64
P28109=

# RADIUS Shared Secret
# Max Character Number = 64
P28110=

# RADIUS VSA Vendor ID
# Max Character Number: 64
P28111= 

# RADIUS VSA Access Level Attribute
# Max Character Number: 64
P28112= 

# Enable DDNS. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
P28121 = 0

# DDNS Server. 0 - dyndns.org, 1 - freedns.afraid.org, 2 - zoneedit.com, 3 - no-ip.com, 4 - oray.net. 
# Number: 0, 1, 2, 3, 4
# Mandatory
P28122 = 0

# DDNS Username
# String
P28123 = 

# DDNS Password
# String
P28124 = 

# DDNS Hostname
# String
P28125 = 

# DDNS Hash
# String
P28126 = 

# System Ring Cadence
# String
P4040=c=2000/4000;

###############################################
# Call Progress Tones                         #
###############################################
# Dial Tone
# String
P4000=f1=350@-13,f2=440@-13,c=0/0;

# Ringback Tone
# String
P4001=f1=440@-19,f2=480@-19,c=2000/4000;

# Busy Tone
# String
P4002=f1=480@-24,f2=620@-24,c=500/500;

# Reorder Tone
# String
P4003=f1=480@-24,f2=620@-24,c=250/250;

# Confirmation Tone
# String
P4004=f1=350@-11,f2=440@-11,c=100/100-100/100-100/100;

# Call Waiting tone
# String
P4005=f1=440@-13,c=300/300-300/10000;

# Prompt tone
# String
P4041=

# Prompt Tone Access Code. Maximum 20 digits. No default.
# String
P4042=

# Conference Party Hangup Tone
# String
P28133 = f1=425@-15,c=600/600;

###############################################
# Lock keypad update.  0 - No, 1 - Yes, 2( invisible on web GUI, set to 2 for Reset button - ISP Data reset allowed only).  (configuration update via keypad is disabled if set to Yes).
# Number: 0, 1, 2
# Mandatory
P88=0

# Disable voice prompt. 0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P253=0

# Disable Direct IP Call. 0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P277=0

# Play Busy Tone When Account is unregistered. 0 - No, 1 - Yes
# Number: 0, 1  
# Mandatory
P28181 = 0 

# Blacklist For Incoming Calls. Allow users to block incoming calls from specific list of numbers. Maximum allowed SIP numbers: 10, SIP numbers sould be separated by a comma (','). 
# String: 0-9, *, #, +, comma (','),a-z, A-Z 
P28127 =

# NTP Server
# Server address
P30 = us.pool.ntp.org

# Allow DHCP Option 42 to override NTP server. 0 - No, 1 - Yes. Default is No.
# When set to Yes(1), it will override the configured NTP server.
# Number: 0, 1
# Mandatory
P144=1

# DHCP Option 17 Enterprise Number
# Max Character Number: 5
# Mandatory
P8457=3561

# CDR File Option. 0 - Keep, 1 - Override
# Number: 0, 1
# Mandatory 
P8534=0

# SIP File Option. 0 - Keep, 1 - Override
# Number: 0, 1
# Mandatory 
P8535=0

# Disable Week TLS Cipher Suites. 0 – Enable Weak TLS Ciphers Suites, 1 – Disable Symmetric Encryption RC4/DES/3DES, 2 - Disable Symmetric Encryption SEED, 3 - Disable All Of The Above Weak Symmetric Encryption, 4 - Disable Symmetric Authentication MD5, 5 - Disable All Of The Above Weak Symmetric Authentication, 6 - Disable Protocol Version SSLv2/SSLv3, 7 - Disable All Of The Above Weak Protocol Version, 8 - Disable All Of The Above Weak TLS Ciphers Suites
# Number: 0-8
# Mandatory 
P8536=0

# Minimum TLS Version. 99 - Unlimited, 10 - TLS 1.0, 11 - TLS 1.1, 12 - TLS 1.2
# Number: 99, 10, 11, 12
# Mandatory
P22293=99

# Maximum TLS Version. 99 - Unlimited, 10 - TLS 1.0, 11 - TLS 1.1, 12 - TLS 1.2
# Number: 99, 10, 11, 12
# Mandatory
P22294=99

# Syslog Protocol. 0 – UDP, 1 – SSL/TLS. 
# Number: 0, 1  
# Mandatory
P8402=0 

# Syslog Server (name of the server, max length is 64 characters)
# Server address
P207=

# Syslog Level (Default setting is NONE)
# 0 - NONE, 1 - DEBUG, 2 - INFO, 3 - WARNING, 4 - ERROR, 5 - EXTRA DEBUG
# Number: 0, 1, 2, 3, 4, 5
# Mandatory
P208=0

# Send SIP Log. 0 - No, 1 - Yes. (If set to yes, The unit will replicate the received and send SIP packets on the syslog)
# Number: 0, 1
# Mandatory
P1387=0

#Automatic Reboot. 0 - No, 1 - Yes, reboot every day, 2 - Yes, reboot every week, 3 - Yes, reboot every month
#Number: 0,1,2,3
#Mandatory
P21929=0

#Hour of the Day(0-23) Defines the hour of the day to reboot the device. Will valid after configured Automatic Reboot to yes.
#Number: 0-23
#Mandatory
P21930=1

#Day of the Week (0-6) Defines the day of the week to reboot the device.
#Number: 0-6
#Mandatory
P21931=1

#Day of the Month (0-30) Defines the day of the month to reboot the device.
#Number: 0-30
#Mandatory
P28118=1

##############################################################################
##  Profile 1 Settings                                                      ##
##############################################################################
# Profile Active. 0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P271=1

# Primary SIP Server
# Server address
P47= 

# Failover SIP Server
# Server address
P967=

# Prefer Primary SIP Server. 0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P4567=0

# Outbound Proxy
# Server address
P48= 

# Backup Outbound Proxy
# Server address
P2333=

# Prefer Primary Outbound Proxy. 0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P28096=0

# Allow DHCP Option 120( override SIP server )  0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P1411=0

# SIP Transport 0 - UDP, 1 - TCP, 2 - TLS
# Number: 0, 1, 2
# Mandatory
P130=0

# SIP URI Scheme When Using TLS. 0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P2329=1

# Use Actual Ephemeral Prot in Contact with TCP/TLS. 0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P2331=0


# NAT Traversal (STUN) 0 - No, 2 - No but send keep-alive, 1 - Yes, 3 - UPnP
# Number: 0, 1, 2, 3
# Mandatory
P52=0

# DNS Mode. 0 - A Record, 1 - SRV, 2 - NAPTR/SRV, 3 - Use Configured IP.
# Number: 0, 1, 2, 3
# Mandatory
P103=0

# DNS SRV use Registered IP. When enabled, outbound call when registered to Second SRV will use registered IP first instead of first SRV record. 0 - No, 1 - Yes, default is 0 - No.
# Number: 0, 1
# Mandatory
P28092=0

#DNS use Configured IP
# Primary IP
# String
# Maximum Length: 15
P2308= 

# Backup IP1
# String
# Maximum Length: 15
P2309= 

# Backup IP2
# String
# Maximum Length: 15
P2310= 

# Tel URI. 0 - Disabled, 1 - User=Phone, 2 - Enabled
# Number: 0, 1, 2
# Mandatory
P63=0

# SIP Registration. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P31=1

# Unregister On Reboot. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P81=0

# Outgoing call without Registration. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P109=1

# Register Expiration (in minutes. default 1 hour, max 45 days)
# Number: 1 to 64800
# Mandatory
P32=60

# Reregister before Expiration (in seconds. Default 0 second)
# Number: 1 to 64800
# Mandatory
P2330=0 

# SIP Registration Failure Retry Wait Time, in seconds. Between 1-3600, default is 20
# Number: 1 to 3600
# Mandatory
P138=20

# SIP Registration Failure Retry Wait Time upon 403 Forbidden, in seconds. Between 1-3600, default is 1200, 0 means stop retry registration upon 403 response
# Number: 0 to 3600
# Mandatory
P26002=1200

Enable SIP OPTIONS Keep Alive. 0 - No, 1 - Yes, default is 0
# Number: 0, 1
# Mandatory
P2397=0

# SIP OPTIONS Keep Alive Interval, in seconds. Between 1-64800, default is 30
# Number: 1 to 64800
# Mandatory
P2398=30

# SIP OPTIONS Keep Alive Max Lost, Number of max lost packets for SIP OPTIONS Keep Alive before re-registration. Between 3-10, default is 3
# Number: 3 to 10
# Mandatory
P2399=3

#Layer 3 QoS
#SIP DSCP (Diff-Serv value in decimal, default 24)
P5046=24
#RTP DSCP (Diff-Serv value in decimal, default 46) 
P5050=46

# Local SIP port (default 5060)
# Number: 1 to 65535
# Mandatory
P40=5060

# Local RTP port (1024-65535, default 5004)
# Number: 1024 to 65535
# Mandatory
P39=5004

# Use Random SIP Port. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P20501=0

# Use Random RTP Port. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P20505=0

# Enable RTCP. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P2392=1

# Hold Target Before Refer. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P26003=1

# Refer-To Use Target Contact. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P135=0

# Transfer on Conference Hangup. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P4560=0

# Disable Bellcore Style 3-Way Conference. 0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P4830=0

# Remove OBP from Route Header. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P4562=0

# Support SIP Instance ID. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P288=1

# Validate Incoming SIP Message . 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P4340=0

# Check SIP UserID for incoming INVITE. 0 - No, 1 - Yes (no direct IP calling if Yes)
# Number: 0, 1
# Mandatory
P258=0

# Authenticate incoming INVITE
# Number: 0, 1
# Mandatory
P2346 = 0

# Authenticate server certificate domain. 0 - No, 1 - Yes, default is 0
# Number: 0, 1
# Mandatory
P2311 = 0

# Authenticate server certificate chain. 0 - No, 1 - Yes, default is 0
# Number: 0, 1
# Mandatory
P2367 = 0

# Allow Incoming SIP Messages from SIP Proxy Only. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P243=0

# Use Privacy Header. 0 - Default, 1 - No, 2 - Yes
# Number: 0, 1, 2
# Mandatory
P2338=0

# Use P-Preferred-Identity Header. 0 - Default, 1 - No, 2 - Yes
# Number: 0, 1, 2
# Mandatory
P2339=0

# Use P-Access-Network-Info Header. 0 - No, 1 - Yes. Default is 1.
# Number: 0, 1
# Mandatory
P26058 = 1

# Use P-Emergency-Info Header. 0 - No, 1 - Yes. Default is 1.
# Number: 0, 1
# Mandatory
P26059 = 1

# Use P-Asserted-Identity Header. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P29098 = 0

# SIP REGISTER Contact Header Uses. 0 - LAN address, 1 - WAN address
# Number: 0, 1, 2
# Mandatory
P4437=0

# Caller ID Fetch Order. 0 - Auto, 1 - Disable, 2 - From Header. Defaut is 0.
# Number: 0, 1, 2
# Mandatory
P2324=0

# Allow SIP Factory Reset. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
P26015 = 0

# SIP T1 Timeout. RFC 3261 T1 value (RTT estimate)
# 50 - 0.5 sec, 100 - 1 sec, 200 - 2 sec, 400 - 4 sec, 800 - 8 sec. Default 50.
# Number: 50, 100, 200, 400, 800
# Mandatory
P209=50

# SIP T2 Interval. RFC 3261 T2 value. The maximum retransmit interval for non-INVITE requests and INVITE responses.
# 200 - 2 sec, 400 - 4 sec, 800 - 8 sec, 1600 - 16 sec, 3200 - 32 sec. Default 400.
# Number: 200, 400, 800, 1600, 3200
# Mandatory
P250=400

# SIP Timer D (0 - 64 seconds. Default 0) 
# Number: 0~64
# Mandatory
P2387=0

# DTMF Payload Type
# Number: 96 to 127
P79=101

# Preferred DTMF method. 
# 100 - In-audio, 101 - RFC2833, 102 - SIP INFO
# Priority 1
# Number: 100, 101, 102
# Mandatory
P850=101

# Priority 2
# Number: 100, 101, 102
# Mandatory
P851=102

# Priority 3
# Number: 100, 101, 102
# Mandatory
P852=100

# Inband DTMF Duration. duration and inter-duration
# Number: 40 - 200 milliseconds
# Mandatory
P28134 = 100
P28138 = 50

# Disable DTMF Negotiation. 0 - No(negotiate with peer), 1 - Yes(use above DTMF order without negotiation) 
# Number: 0, 1
# Mandatory
P4825=0

# Generate Continuous RFC2833 Events. 0 - No, 1 - Yes(RFC2833 events are generated until key is released) 
# Number: 0, 1
# Mandatory
P4433=0

# Send Hook Flash Event. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P74=0

# Flash Digit Control. 0 - No, 1 - Yes(Hook Flash will be sent as a DTMF event if set to Yes) 
# Number: 0, 1
# Mandatory
P28080=0

# Callee Flash to 3WC. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P28169 = 0

# Offhook Auto-Dial (User ID/extension to dial automatically when offhook)
# String: 0-9, #, *
# Mandatory
P71=

# Offhook Auto-Dial Delay (0-60 seconds, default is 0)
# Number: 0 to 60
P4045=0

# Proxy-Require 
# IP Address
P197=

# Use NAT IP (used in SIP/SDP message if specified)
# IP Address
P101=

# SIP User-Agent.
# String
P29071= 

# Use SIP User-Agent Postfix
P4834=

# Distinctive Ring Tone 
# 0 - Ring Tone 1, 1 - Ring Tone 2, 2 - Ring Tone 3, 3 - Ring Tone 4, 4 - Ring Tone 5, 
# 5 - Ring Tone 6, 6 - Ring Tone 7, 7 - Ring Tone 8, 8 - Ring Tone 9, 9 - Ring Tone 10
# Distinctive Ring Tone Choice 1
# Number: 0-9
# Mandatory
P870=0

# Choice 1 incoming caller ID
# String
P871= 

# Distinctive Ring Tone Choice 2
# Number: 0-9
# Mandatory
P872=0

# Choice 2 incoming caller ID
# String
P873= 

# Distinctive Ring Tone Choice 3
# Number: 0-9
# Mandatory
P874=0

# Choice 3 incoming caller ID
# String
P875= 

# RFC2543 Hold. 0 - No, 1 - Yes. Default is 1.
# Number: 0, 1
# Mandatory
P26062 = 1

# Disable Call-Waiting. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P91=0

# Disable Call-Waiting Caller ID. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P714=0

# Disable Call-Waiting Tone. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P186=0

# Disable Receiver Offhook Tone. 0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P4793=0

# Disable Reminder Ring for On-Hold Call:
# Number: 0, 1
# Mandatory
P4360=0

# Disable Reminder Ring for DND. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory 
P29072=0

# Disable Visual MWI. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P855=0

# Visual MWI Type. 1 - FSK, 2 - NEON. Default is 1.
# Number: 1, 2
# Mandatory
P4371 = 1

# Do Not Escape '#' as %23 in SIP URI. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P1406 = 0

# Disable Multiple m line in SDP.  0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P137 = 0

# Ring Timeout. (0-300, default is 60 seconds, 0 is unlimited ring timeout)
# Number: 0-300
# Mandatory
P185=60

# Delayed Call Forward Wait Time. Allowed range 1-120, in seconds. Default 20 seconds.
# Number: 1-120
# Mandatory
P139=20

# No Key Entry Timeout. Default - 4 seconds.
# Number: 1-15
# Mandatory
P85=4

# Early Dial. 0 - No, 1 - Yes (use "Yes" only if proxy supports 484 response)
# Number: 0, 1
# Mandatory
P29=0

# Dial Plan Prefix.(this prefix string is added to each dialed number)
# String; between ascii values 33 and 126
P66=

# Use # as Dial Key. 0 - No, 1 - Yes (if set to Yes, "#" will function as the "(Re-)Dial" key)
# Number: 0, 1
# Mandatory
P72=1

# Disable # as Redial Key. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
P28147 = 0

# Dial Plan
# String
P4200={ x+ | *x+ | *xx*x+ }

# SUBSCRIBE for MWI. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P99=0

# Send Anonymous. 0 - No, 1 - Yes  (caller ID will be blocked if set to Yes)
# Number: 0, 1
# Mandatory
P65=0

# Anonymous Call Rejection. 0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P129=0

# Special Feature 
# STANDARD = 100, BROADSOFT = 102, LUCENT = 105, CBCOM =108, RNK = 109, HUAWEI = 111, China_Mobile = 113
# ZTE_IMS = 114, PHONEPOWER = 119, TELKOM_SA = 120, VONAGE = 121, Metaswitch = 122, CenturyLink = 124, MTS = 126, Oi_BR = 132
# Number: 100, 102, 105, 108, 109, 111, 113, 114, 119, 120, 121, 122, 124, 126,132
# Mandatory
P198=100

# Enable Session Timer. 0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P2395=1

# Session Expiration (in seconds. default 180 seconds. Allowed value: 90-64800)
# Number: 90-64800
# Mandatory
P260=180

# Minimum SE (in seconds. default 90 seconds, must be lower than or equal to P260)
# Number: 90-64800
# Mandatory
P261=90

# Caller Request Timer (Request for timer when calling) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P262=0

# Callee Request Timer (Request for timer when called. i.e. if remote party supports timer but did not request for one) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P263=0

# Force Timer (Still use timer when remote party does not support timer) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P264=0

# UAC Specify Refresher. 0 - omit, 1 - UAC, 2 - UAS
# Number: 0, 1, 2
# Mandatory
P266=0

# UAS Specify Refresher. 1 - UAC, 2 - UAS
# Number: 1, 2
# Mandatory
P267=1

# Force INVITE (Always refresh with INVITE instead of UPDATE even when remote party supports UPDATE) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P265=0

# Enable 100rel. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P272=0

# Add Auth Header On Initial REGISTER. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P2359 = 0

# Conference URI
P2318=

#################################################################################
# Codec/Voice Quality settings                                                  #
#################################################################################
# Use First Matching Vocoder in 200OK SDP. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P4363=0

# Preferred Vocoder
# 0 - PCMU, 8 - PCMA, 4 - G.723, 18 - G.729, 2 - G.726-32, 97 - iLBC, 123 - OPUS， 9 - G722.
# Choice 1.
# Number: 0, 2, 4, 8, 9， 18, 97, 123
# Mandatory 
P57=0

# Choice 2.
# Number: 0, 2, 4, 8, 9， 18, 97, 123
# Mandatory
P58=8

# Choice 3. 
# Number: 0, 2, 4, 8, 9， 18, 97, 123
# Mandatory
P59=4

# Choice 4. 
# Number: 0, 2, 4, 8, 9， 18, 97, 123
# Mandatory
P60=18

# Choice 5. 
# Number: 0, 2, 4, 8, 9， 18, 97, 123
# Mandatory
P61=2

# Choice 6. 
# Number: 0, 2, 4, 8, 9， 18, 97, 123
# Mandatory
P62=97

# Choice 7. 
# Number: 0, 2, 4, 8, 9， 18, 97, 123
# Mandatory
P46=123

# Choice 8. 
# Number: 0, 2, 4, 8, 9， 18, 97, 123
# Mandatory
P98=9


# Voice Frames per TX
# Number: 1-9
# Mandatory
P37=2

# G723 rate. 0 - 6.3kbps encoding rate, 1 - 5.3kbps encoding rate
# Number: 0, 1
# Mandatory
P49=0

# iLBC Frame Size. 0 - 20ms(default), 1 - 30ms.
# Number: 0, 1
# Mandatory
P97=0

# Disable OPUS Stereo in SDP. 0 - No, 1 - Yes(remove "/2" from offer)
# Number: 0, 1
# Mandatory
P20529

# iLBC payload type. (between 96 and 127, default is 97).
# Number: 96-127
# Mandatory
P96=97

# OPUS Payload Type. (between 96 and 127, default is 120).
# Number: 96-127
# Mandatory
P2385=120

# VAD. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P50=0

# Symmetric RTP. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P291=0

# FAX Mode. 0 - T.38 (Auto Detect), 1 - Pass Through
# Number: 0, 1
# Mandatory
P228=0

# Re-INVITE After Fax Tone Detected. 0 - Disabled, 1 - Enabled.
# Number: 0, 1
# Mandatory
P4416=1

# Jitter buffer type.  0 - Fixed, 1 - Adaptive
# Number: 0, 1
# Mandatory
P133=1

# Jitter buffer length. 0 - Low, 1 - Medium, 2 - High
# Number: 0, 1, 2
# Mandatory
P132=1

# SRTP Mode
# 0 = Disabled
# 1 = Enabled but not forced
# 2 = Enabled and forced
# Number: 0, 1, 2
# Mandatory
P183=0

# Crypto Life Time
# 0 = Disabled
# 1 = Enabled
# Number: 0, 1
# Mandatory
P2363=1

#################################################################################
# SLIC Setting.   
# 0 - USA (BELLCORE 600 ohms), 3 - USA 2(BELCORE 600 ohms + 2.16uF), 11 - AUSTRAILA, 5 - CHINA CO, 6 - CHINA PBX, 4 - EUROPEAN CTR21
# 9 - GERMANY, 8 -INDIA/NEW ZEALAND, 2 - JAPAN CO, 7 - JAPAN PBX, 1 - STANDARD 900 omhs, 10 - UK
# Number: 0-11
# Mandatory
P854=0

# Caller ID Scheme.  
# <value=0>  Bellcore/Telcordia (default)
# <value=1>  ETSI-FSK during ringing	
# <value=2>  ETSI-FSK prior to ringing with DTAS
# <value=3>  ETSI-FSK prior to ringing with LR+DTAS
# <value=4>  ETSI-FSK prior to ringing with RP
# <value=5>  ETSI-DTMF during ringing
# <value=6>  ETSI-DTMF prior to ringing with DTAS
# <value=7>  ETSI-DTMF prior to ringing with LR+DTAS
# <value=8>  ETSI-DTMF prior to ringing with RP
# <value=9>  SIN 227 - BT
# <value=10> NTT Japan
# <value=11> DTMF Denmark prior to ringing no DTAS no LR
# <value=12> DTMF Denmark prior to ringing with LR
# <value=13> DTMF Sweden/Finalnd prior to ringing with LR
# <value=14> DTMF Brazil
# Number: 0-14
# Mandatory
P853=0

# DTMF Caller ID Start Tone
# <value=0>  Default
# <value=1>  A
# <value=2>  B
# <value=3>  C
# <value=4>  D
# <value=5>  #
# Number: 0-5
# Mandatory
P4661=0

# DTMF Caller ID Stop Tone
# <value=0>  Default
# <value=1>  A
# <value=2>  B
# <value=3>  C
# <value=4>  D
# <value=5>  #
# Number: 0-5
# Mandatory
P4662=0

# Disable Unknown Caller ID. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
P28153 = 0

# Replace Begining '+' with 00 in Caller ID. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P29073 = 0

# Polarity Reversal.  0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P205=0

# Loop Current Disconnect. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P892=0

# Play busy/reorder tone before Loop Current Disconnect. 0 - No, 1 - Yes. Default is 0. 
# Number: 0, 1
# Mandatory
P21925 = 0

# Loop Current Disconnect Duration. In 100 - 10000 milliseconds range, default is 200.
# Number: 100-10000
# Mandatory
P856=200

# Enable Pulse Dialing. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
P20521 = 0

# Pulse Dialing Standard. 0 - General Standard, 1 - Swedish Standard, 2 - New Zealand Standard 
# Number: 0, 1, 2
# Mandatory 
P28165=0

# Enable Hook Flash
# Number: 0, 1
# 0 - No, 1 - Yes, default is Yes
# Mandatory
P4424 = 1

# Hook Flash Timing. In 40-2000 milliseconds range
# minimum
# Number: 40-2000
# Mandatory
P251=300

# maximum
# Number: 40-2000
# Mandatory
P252=1100

# On Hook Timing. (In 40-2000 milliseconds range, default is 400)
# Number: 40-2000
# Mandatory
P833=400

# Gain:
# TX 
# <value=1> +6dB
# <value=2> +4dB
# <value=3> +2dB
# <value=0> 0dB
# <value=4> -2dB
# <value=5> -4dB
# <value=6> -6dB
# Number: 0, 1, 2, 3, 4, 5, 6
# Mandatory
P247=0

# RX 
# <value=1> +6dB
# <value=2> +4dB
# <value=3> +2dB
# <value=0> 0dB
# <value=4> -2dB
# <value=5> -4dB
# <value=6> -6dB
# Number: 0, 1, 2, 3, 4, 5, 6
# Mandatory
P249=0

# Disable Line Echo Canceller (LEC).  0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P824=0

# Disable Network Echo Suppressor.  0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P4441=0

# Outgoing Call Duration Limit.  (0-180 minutes, default is 0 (No Limit))
# Number: 0~180
# Mandatory
P4420=0

# Ring Frequency. 20 - 20Hz default, 25 - 25Hz. Default is 20.
# Number: 20, 25
# Mandatory
P4429 = 20

# Enable High Ring Power. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
P4234=0

# RFC2833 Events Count.
# Number: 2-10
# Mandatory
P28173 = 8

# RFC2833 End Events Count.
# Number: 2-10
# Mandatory
P28177 = 3

# Ring Tone 1
# String
P4010=c=2000/4000;

# Ring Tone 2
# String
P4011=c=2000/4000;

# Ring Tone 3
# String
P4012=c=2000/4000;

# Ring Tone 4
# String
P4013=c=2000/4000;

# Ring Tone 5
# String
P4014=c=2000/4000;

# Ring Tone 6
# String
P4015=c=2000/4000;

# Ring Tone 7
# String
P4016=c=2000/4000;

# Ring Tone 8
# String
P4017=c=2000/4000;

# Ring Tone 9
# String
P4018=c=2000/4000;

# Ring Tone 10
# String
P4019=c=2000/4000;


# Distinctive Call Waiting Tone. Call Waiting Tone Choice 1 to Choice 3
# Number: 0, 1, 2, 3, 4, 5, 6, 7, 8, 9
# 0 - Call Waiting Tone 1, 1- Call Waiting Tone 2, 2 - Call Waiting Tone 3, 3 - Call Waiting Tone 4, 4  - Call Waiting Tone 5, 5  - Call Waiting Tone 6, 6  - Call Waiting Tone 7, 8  - Call Waiting Tone 9, 9  - Call Waiting Tone 10     
# Mandatory
P29074 = 0 
P29075 = 0 
P29076 = 0 

# Used if incoming caller ID is. The caller ID to match the call waiting tone. 
# String Max Length: 64
P29077 = 
P29078 = 
P29079 =


# Call Waiting Tone. Call Waiting Tone 1-10
# String Max Length: 64
# Mandatory
P29080 = f1=440@-13,c=300/10000; 
P29081 = f1=440@-13,c=300/10000; 
P29082 = f1=440@-13,c=300/10000; 
P29083 = f1=440@-13,c=300/10000; 
P29084 = f1=440@-13,c=300/10000; 
P29085 = f1=440@-13,c=300/10000; 
P29086 = f1=440@-13,c=300/10000; 
P29087 = f1=440@-13,c=300/10000; 
P29088 = f1=440@-13,c=300/10000; 
P29089 = f1=440@-13,c=300/10000;

# Enable Call Features. 0 - No, 1 - Yes, 2 - Enable All
# Number: 0, 1, 2
# Mandatory
P191=1

# Reset Call Features. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24199=0

# SRTP Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24060=1

# Enable SRTP. 
# Number
# Mandatory
P24001=16

# Disable SRTP.
# Number
# Mandatory
P24002=17 

# SRTP per call Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24061=1

# Enable SRTP per call. 
# Number
# Mandatory
P24003=18

# Disable SRTP per call.
# Number
# Mandatory
P24004=19

# CID Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24062=1

# Enable CID. 
# Number
# Mandatory
P24006=31

# Disable CID.
# Number
# Mandatory
P24005=30

# CID per call Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24065=1

# Enable CID per call. 
# Number
# Mandatory
P24019=82

# Disable CID per call.
# Number
# Mandatory
P24010=67

# Direct IP Calling Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24063=1

# Direct IP Calling. 
# Number
# Mandatory
P24007=47

# CW Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24064=1

# Enable CW. 
# Number
# Mandatory
P24009=51

# Disable CW.
# Number
# Mandatory
P24008=50

# CW per call Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24067=1

# Enable CW per call. 
# Number
# Mandatory
P24013=71

# Disable CW per call.
# Number
# Mandatory
P24012=70

# Call Return Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24066=1

# Call Return. 
# Number
# Mandatory
P24011=69

# Unconditional Forward Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24068=1

# Enable Unconditional Forward. 
# Number
# Mandatory
P24014=72 

# Disable Unconditional Forward.
# Number
# Mandatory
P24015=73 

# Busy Forward Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24072=1

# Enable Busy Forward. 
# Number
# Mandatory
P24021=90 

# Disable Busy Forward.
# Number
# Mandatory
P24022=91 

# Delayed Forward Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24073=1 

# Enable Delayed Forward. 
# Number
# Mandatory
P24023=92 

# Disable Delayed Forward.
# Number
# Mandatory
P24024=93 

# Paging Feature. 0 - No, 1 - Yes
# Number
# Mandatory
P24069=1 

# Paging
# Number
# Mandatory
P24016=74

# DND Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24070=1 

# Enable DND. 
# Number
# Mandatory
P24017=78

# Disable DND.
# Number
# Mandatory
P24018=79 

# Blind Transfer Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24071=1

# Enable Blind Transfer. 
# Number
# Mandatory
P24020=87

# Disable LEC per call Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P24074=1

# Disable LEC per call.
# Number
# Mandatory
P24025=03

# Star Code 3WC Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P24075=1 

# Star Code 3WC.
# Number
# Mandatory
P24026=23


# Forced Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P24059=1 

# Forced Codec.
# Number
# Mandatory
P24000=02

# PCMU Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P24076=1

# PCMU Codec.
# Number
# Mandatory
P24027=7110

# PCMA Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P24077=1

# PCMA Codec.
# Number
# Mandatory
P24028=7111 

# G723 Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P24078 = 1 

# G723 Codec.
# Number
# Mandatory
P24029 = 723

# G729 Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P24079 = 1

# G729 Codec.
# Number
# Mandatory
P24030 = 729

# iLBC Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P24084 = 1

# iLBC Codec.
# Number
# Mandatory
P24035 = 7201

# G722 Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P24085=1 

# G722 Codec.
# Number
# Mandatory
P24036 = 722

##############################################################################
##  Profile 2 Settings.                                                     ##
##############################################################################
# Account Active. 0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P401 = 1

# Primary SIP Server
# Server address
P747 =

# Failover SIP Server
# Server address
P987 = 

# Prefer Primary SIP Server. 0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P4568 = 0

# Outbound Proxy
# Server address
P748 =

# Backup Outbound Proxy
# Server address
P2433 = 

#Prefer Primary Outbound Proxy.  0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P28097 = 0

# SIP Transport 0 - UDP, 1 - TCP, 2 - TLS
# Number: 0, 1, 2
# Mandatory
P830 = 0

# SIP URI Scheme When Using TLS. 0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P2429=1

# Use Actual Ephemeral Prot in Contact with TCP/TLS. 0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P2431=0

# NAT Traversal (STUN). 0 - No, 2 - No but send keep-alive, 1 - Yes, 3 - UPnP,
# Number: 0, 1, 2, 3
# Mandatory
P730 = 0

# DNS Mode. 0 - A Record, 1 - SRV, 2 - NAPTR/SRV, 3 - Use Configured IP.
# Number: 0, 1, 2, 3
# Mandatory
P702 = 0

# DNS SRV use Registered IP. When enabled, outbound call when registered to Second SRV will use registered IP first instead of first SRV record. 0 - No, 1 - Yes, default is 0 - No.
# Number: 0, 1
# Mandatory
P28093=0

# Primary IP
# String
# Maximum Length: 15
P2408= 

# Backup IP1
# String
# Maximum Length: 15
P2409= 

# Backup IP2
# String
# Maximum Length: 15
P2410= 

# Tel URI. 0 - Disabled, 1 - User=Phone, 2 - Enabled
# Number: 0, 1, 2
# Mandatory
P763 = 0

# SIP Registration. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P731 = 1

# Unregister On Reboot. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P752 = 0

# Outgoing call without Registration. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P813 = 1

# Register Expiration (in minutes. default 1 hour, max 45 days)
# Number: 1 to 64800
# Mandatory
P732 = 60

# Reregister before Expiration (in seconds. Default 0 second)
# Number: 1 to 64800
# Mandatory
P2430 = 0

# SIP Registration Failure Retry Wait Time, in seconds. Between 1-3600, default is 20
# Number: 1 to 3600
# Mandatory
P471 = 20 

# SIP Registration Failure Retry Wait Time upon 403 Forbidden, in seconds. Between 1-3600, default is 1200, 0 means stop retry registration upon 403 response
# Number: 0 to 3600
# Mandatory
P26102=1200

Enable SIP OPTIONS Keep Alive. 0 - No, 1 - Yes, default is 0
# Number: 0, 1
# Mandatory
P2497=0

# SIP OPTIONS Keep Alive Interval, in seconds. Between 1-64800, default is 30
# Number: 1 to 64800
# Mandatory
P2498=30

# SIP OPTIONS Keep Alive Max Lost, Number of max lost packets for SIP OPTIONS Keep Alive before re-registration. Between 3-10, default is 3
# Number: 3 to 10
# Mandatory
P2499=3

#Layer 3 QoS
#SIP DSCP (Diff-Serv value in decimal, default 24)
P5047=24
#RTP DSCP (Diff-Serv value in decimal, default 46) 
P5051=46

# Local SIP port (default 5062)
# Number: 1 to 65535
# Mandatory
P740 = 5062

# Local RTP port (1024-65535, default 5012)
# Number: 1024 to 65535
# Mandatory
P739 = 5012

# Use Random SIP Port. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P20502 = 0

# Use Random RTP Port. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P20506 = 0

# Enable RTCP. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P2492=1

# Hold Target Before Refer. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P26103=1

# Refer-To Use Target Contact. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P469 = 0

# Transfer on Conference Hangup. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P4561 = 0

# Disable Bellcore Style 3-Way Conference. 0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P4831 = 0

# Remove OBP from Route Header. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P4563 =0

# Support SIP Instance ID. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P489 = 1

# Validate Incoming SIP Message. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P4341 = 0

# Check SIP User ID for incoming INVITE. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P449 = 0 

# Authenticate incoming INVITE
# Number: 0, 1
# Mandatory
P2446 = 0

# Authenticate server certificate domain. 0 - No, 1 - Yes, default is 0
# Number: 0, 1
# Mandatory
P2411 = 0

# Authenticate server certificate chain. 0 - No, 1 - Yes, default is 0
# Number: 0, 1
# Mandatory
P2467 = 0

# Allow Incoming SIP Messages from SIP Proxy Only. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P743 = 0

# Use Privacy Header. 0 - Default, 1 - No, 2 - Yes
# Number: 0, 1, 2
# Mandatory
P2438=0

# Use P-Preferred-Identity Header. 0 - Default, 1 - No, 2 - Yes
# Number: 0, 1, 2
# Mandatory
P2439=0

# Use P-Access-Network-Info Header. 0 - No, 1 - Yes. Default is 1.
# Number: 0, 1
# Mandatory
P26158 = 1

# Use P-Emergency-Info Header. 0 - No, 1 - Yes. Default is 1.
# Number: 0, 1
# Mandatory
P26159 = 1

# Use P-Asserted-Identity Header. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P29198 = 0

# SIP REGISTER Contact Header Uses. 0 - LAN address, 1 - WAN address
# Number: 0, 1, 2
# Mandatory
P4438=0

# Caller ID Fetch Order. 0 - Auto, 1 - Disable, 2 - From Header. Defaut is 0.
# Number: 0, 1, 2
# Mandatory
P2424=0

# Allow SIP Factory Reset. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
P26115 = 0

# SIP T1 Timeout. RFC 3261 T1 value (RTT estimate)
# 50 - 0.5 sec, 100 - 1 sec, 200 - 2 sec, 400 - 4 sec, 800 - 8 sec. Default 50.
# Number: 50, 100, 200, 400, 800
# Mandatory
P440 = 50

# SIP T2 Interval. RFC 3261 T2 value. The maximum retransmit interval for non-INVITE requests and INVITE responses.
# 200 - 2 sec, 400 - 4 sec, 800 - 8 sec, 1600 - 16 sec, 3200 - 32 sec. Default 400.
# Number: 200, 400, 800, 1600, 3200
# Mandatory
P441 = 400

# SIP Timer D (0 - 64 seconds. Default 0) 
# Number: 0~64
# Mandatory
P2487 = 0

# DTMF Payload Type
# Number: 96 to 127
P779 = 101

# Preferred DTMF method. 
# 100 - In-audio, 101 - RFC2833, 102 - SIP INFO
# Priority 1
# Number: 100, 101, 102
# Mandatory
P860 = 101

# Priority 2
# Number: 100, 101, 102
# Mandatory
P861 = 102

# Priority 3
# Number: 100, 101, 102
# Mandatory
P862 = 100

# Inband DTMF Duration. duration and inter-duration
# Number: 40 - 200 milliseconds
# Mandatory
P28135 = 100
P28139 = 50

# Disable DTMF Negotiation. 0 - No, 1 - Yes 
# Number: 0, 1
# Mandatory
P4826 = 0

# Generate Continuous RFC2833 Events. 0 - No, 1 - Yes(RFC2833 events are generated until key is released) 
# Number: 0, 1
# Mandatory
P4434=0

# Send Flash Event. 0 - No, 1 - Yes 
# Number: 0, 1
# Mandatory
P774 = 0

# Flash Digit Control. 0 - No, 1 - Yes(Hook Flash will be sent as a DTMF event if set to Yes) 
# Number: 0, 1
# Mandatory
P28081=0

# Callee Flash to 3WC. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P28170 = 0

# Offhook Auto-Dial (User ID/extension to dial automatically when offhook)
# String: 0-9, *, #
P771 =

# Offhook Auto-Dial Delay (0-60 seconds, default is 0)
# Number: 0 to 60
P4046=0

# Proxy-Require 
# IP Address
P792 =

# Use NAT IP (used in SIP/SDP message if specified)
# IP Address
P866 = 

# SIP User-Agent.
# String
P29171= 

# Use SIP User-Agent Postfix
P4835=

# Distinctive Ring Tone 
# 0 - Ring Tone 1, 1 - Ring Tone 2, 2 - Ring Tone 3, 3 - Ring Tone 4, 4 - Ring Tone 5, 
# 5 - Ring Tone 6, 6 - Ring Tone 7, 7 - Ring Tone 8, 8 - Ring Tone 9, 9 - Ring Tone 10
# Distinctive Ring Tone Choice 1
# Number: 0-9
# Mandatory
P880 = 0

# Choice 1 incoming caller ID
# String
P881 = 

# Distinctive Ring Tone Choice 2
# Number: 0-9
# Mandatory
P882 = 0

# Choice 2 incoming caller ID
# String
P883 = 

# Distinctive Ring Tone Choice 3
# Number: 0-9
# Mandatory
P884 = 0

# Choice 3 incoming caller ID
# String
P885 = 

# RFC2543 Hold. 0 - No, 1 - Yes. Default is 1.
# Number: 0, 1
# Mandatory
P26162 = 1

# Disable Call-Waiting. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P791 = 0

# Disable Call-Waiting Caller ID. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P823 =0

# Disable Call-Waiting Tone. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P817 = 0

# Disable Receiver Offhook Tone. 0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P4794 = 0

# Disable Reminder Ring for On-Hold Call:
# Number: 0, 1
# Mandatory
P4361 = 0

# Disable Reminder Ring for DND. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory 
P29172=0

# Disable Visual MWI. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P869 = 0

# Visual MWI Type. 1 - FSK, 2 - NEON. Default is 1.
# Number: 1, 2
# Mandatory
P4372 = 1

# Do Not Escape '#' as %23 in SIP URI. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P4895 = 0

# Disable Multiple m line in SDP.  0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P487 = 0

# Ring Timeout. (0-300, default is 60 seconds,0 is unlimited ring timeout)
# Number: 0-300
# Mandatory
P816 = 60

# Delayed Call Forward Wait Time. Allowed range 1-120, in seconds. Default 20 seconds.
# Number: 1-120
# Mandatory
P470 = 20

# No Key Entry Timeout. Default - 4 seconds.
# Number: 1-15
# Mandatory
P292 = 4

# Early Dial. 0 - No, 1 - Yes (use "Yes" only if proxy supports 484 response)
# Number: 0, 1
# Mandatory
P729 = 0

# Dial Plan Prefix.(this prefix string is added to each dialed number)
# String
P766 = 

# Use # as Dial Key. 0 - No, 1 - Yes (if set to Yes, "#" will function as the "(Re-)Dial" key)
# Number: 0, 1
# Mandatory
P772 = 1

# Disable # as Redial Key. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
P28148 = 0

# Dial Plan 
# String
P4201 = { x+ | *x+ | *xx*x+ }

# SUBSCRIBE for MWI. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P709 = 0

# Send Anonymous. 0 - No, 1 - Yes  (caller ID will be blocked if set to Yes)
# Number: 0, 1
# Mandatory
P765 = 0

# Anonymous Call Rejection. 0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P446 = 0

# Special Feature 
# STANDARD = 100, BROADSOFT = 102, CBCOM =108, RNK = 109, HUAWEI = 111, China_Mobile = 113, ZTE_IMS = 114, PHONEPOWER = 119, TELKOM_SA = 120, VONAGE = 121, Metaswitch = 122, CenturyLink = 124, MTS = 126, Oi_BR = 132
# Number: 100, 102, 108, 109, 111, 113, 114, 119, 120, 121, 122, 124, 126, 132
P767 = 100

# Enable Session Timer. 0 - No, 1 - Yes.
# Number: 0, 1
# Mandatory
P2495=1

# Session Expiration (in seconds. default 180 seconds. Allowed value: 90-64800)
# Number: 90-64800
# Mandatory
P434 = 180

# Minimum SE (in seconds. default 90 seconds, must be lower than or equal to P260)
# Number: 90-64800
# Mandatory
P427 = 90

# Caller Request Timer (Request for timer when calling) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P428 = 0

# Callee Request Timer (Request for timer when called. i.e. if remote party supports timer but did not request for one) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P429 = 0

# Force Timer (Still use timer when remote party does not support timer) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P430 = 0

# UAC Specify Refresher. 0 - omit, 1 - UAC, 2 - UAS
# Number: 0, 1, 2
# Mandatory
P432 = 0

# UAS Specify Refresher. 1 - UAC, 2 - UAS
# Number: 1, 2
# Mandatory
P433 = 1

# Force INVITE (Always refresh with INVITE instead of UPDATE even when remote party supports UPDATE) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P431 = 0

# Enable 100rel. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P435 = 0

# Add Auth Header On Initial REGISTER. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P2459 = 0

#Conference URI
P2418 =

#################################################################################
# Codec/Voice Quality settings                                                  #
#################################################################################
# Use First Matching Vocoder in 200OK SDP. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P4364 = 0

# Preferred Vocoder
# 0 - PCMU, 8 - PCMA, 4 - G.723, 18 - G.729, 2 - G.726-32, 97 - iLBC, 123 - OPUS, 9 - G722
# Choice 1. 
# Number: 0, 2, 4, 8, 9， 18, 97, 123
# Mandatory
P757 = 0

# Choice 2. 
# Number: 0, 2, 4, 8, 9， 18, 97, 123
# Mandatory
P758 = 8

# Choice 3. 
# Number: 0, 2, 4, 8, 9， 18, 97, 123
# Mandatory
P759 = 4

# Choice 4. 
# Number: 0, 2, 4, 8, 9， 18, 97, 123
# Mandatory
P760 = 18

# Choice 5. 
# Number: 0, 2, 4, 8, 9， 18, 97, 123
# Mandatory
P761 = 2

# Choice 6. 
# Number: 0, 2, 4, 8, 9， 18, 97, 123
# Mandatory
P762 = 97

# Choice 7. 
# Number: 0, 2, 4, 8, 9， 18, 97, 123
# Mandatory
P814=123

# Choice 8. 
# Number: 0, 2, 4, 8, 9， 18, 97, 123
# Mandatory
P815=9

# Voice Frames per TX
# Number: 1-9
# Mandatory
P737=2

# G723 rate. 0 - 6.3kbps encoding rate, 1 - 5.3kbps encoding rate
# Number: 0, 1
# Mandatory
P749 = 0

# iLBC Frame Size. 0 - 20ms(default), 1 - 30ms.
# Number: 0, 1
# Mandatory
P705 = 0

# Disable OPUS Stereo in SDP. 0 - No, 1 - Yes(remove "/2" from offer)
# Number: 0, 1
# Mandatory
P20530

# iLBC payload type. (between 96 and 127, default is 97).
# Number: 96 to 127
# Mandatory
P704 = 97

# OPUS Payload Type. (between 96 and 127, default is 120).
# Number: 96-127
# Mandatory
P2485=120

# VAD. 0 - No, 1 - Yes 
# Number: 0, 1
# Mandatory
P750 = 0

# Symmetric RTP. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P460 = 0

# FAX Mode. 0 - T.38 (Auto Detect), 1 - Pass Through
# Number: 0, 1
# Mandatory
P710 = 0

# Re-INVITE After Fax Tone Detected. 0 - Disabled, 1 - Enabled.
# Number: 0, 1
# Mandatory
P4417=1

# Jitter buffer type.  0 - Fixed, 1 - Adaptive
# Number: 0, 1
# Mandatory
P831 = 1

# Jitter buffer length. 0 - Low, 1 - Medium, 2 - High
# Number: 0, 1, 2
# Mandatory
P832 = 1

# SRTP Mode
# 0 = Disabled
# 1 = Enabled but not forced
# 2 = Enabled and forced
# Number: 0, 1, 2
# Mandatory
P443 = 0

# Crypto Life Time
# 0 = Disabled
# 1 = Enabled
# Number: 0, 1
# Mandatory
P2463=1

#################################################################################
# SLIC Setting.   
# 0 - USA (BELLCORE 600 ohms), 1 - STANDARD 900 ohms, 2 - JAPAN CO, 3 - USA 2 (BELLCORE 600 ohms + 2.16uF), 4 - EUROPEAN CTR21, 5 - CHINA CO
# 6 - CHINA PBX, 7 -JAPAN PBX, 8 - INDIA/NEW ZEALAND, 9 - GERMANY, 10 - UK, 11 - AUSTRALIA,
# Number: 0 to 11
# Mandatory
P864 = 0

# Caller ID Scheme.  
# <value=0>  Bellcore/Telcordia (default)
# <value=1>  ETSI-FSK during ringing	
# <value=2>  ETSI-FSK prior to ringing with DTAS
# <value=3>  ETSI-FSK prior to ringing with LR+DTAS
# <value=4>  ETSI-FSK prior to ringing with RP
# <value=5>  ETSI-DTMF during ringing
# <value=6>  ETSI-DTMF prior to ringing with DTAS
# <value=7>  ETSI-DTMF prior to ringing with LR+DTAS
# <value=8>  ETSI-DTMF prior to ringing with RP
# <value=9>  SIN 227 - BT
# <value=10> NTT Japan
# <value=11> DTMF Denmark prior to ringing no DTAS no LR
# <value=12> DTMF Denmark prior to ringing with LR
# <value=13> DTMF Sweden/Finalnd prior to ringing with LR
# <value=14> DTMF Brazil
# Number: 0 to 14
# Mandatory
P863 = 0

# DTMF Caller ID Start Tone
# <value=0>  Default
# <value=1>  A
# <value=2>  B
# <value=3>  C
# <value=4>  D
# <value=5>  #
# Number: 0-5
# Mandatory
P4663=0

# DTMF Caller ID Stop Tone
# <value=0>  Default
# <value=1>  A
# <value=2>  B
# <value=3>  C
# <value=4>  D
# <value=5>  #
# Number: 0-5
# Mandatory
P4664=0

# Disable Unknown Caller ID. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
P28154 = 0

# Replace Begining '+' with 00 in Caller ID. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P29173 = 0

# Polarity Reversal.  0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P865 = 0

# Loop Current Disconnect. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P893 = 0

# Play busy/reorder tone before Loop Current Disconnect. 0 - No, 1 - Yes. Default is 0. 
# Number: 0, 1
# Mandatory
P21926 = 0

# Loop Current Disconnect Duration. In 100 - 10000 milliseconds range, default is 200.
# Number: 100 to 10000
# Mandatory
P857 = 200

# Enable Pulse Dialing. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
P20522 = 0

# Pulse Dialing Standard. 0 - General Standard, 1 - Swedish Standard, 2 - New Zealand Standard 
# Number: 0, 1, 2
# Mandatory 
P28166=0

# Enable Hook Flash
# Number: 0, 1
# 0 - No, 1 - Yes, default is Yes
# Mandatory
P4425 = 1

# Hook Flash Timing. In 40-2000 milliseconds range.
# minimum
# Number: 40 to 2000
# Mandatory
P811 = 300

# maximum
# Number: 40 to 2000
# Mandatory
P812 = 1100

# On Hook Timing. (In 40-2000 milliseconds range, default is 400)
# Number: 40 to 2000
# Mandatory
P834 = 400

# Gain:
# TX 
# <value=1> +6dB
# <value=2> +4dB
# <value=3> +2dB
# <value=0> 0dB
# <value=4> -2dB
# <value=5> -4dB
# <value=6> -6dB
# Number: 0, 1, 2, 3, 4, 5, 6
# Mandatory
P248 = 0 

# RX 
# <value=1> +6dB
# <value=2> +4dB
# <value=3> +2dB
# <value=0> 0dB
# <value=4> -2dB
# <value=5> -4dB
# <value=6> -6dB
# Number: 0, 1, 2, 3, 4, 5, 6
# Mandatory
P283 = 0

# Disable Line Echo Canceller (LEC).  0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P825 = 0

# Disable Network Echo Suppressor.  0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P4442=0

# Outgoing Call Duration Limit.  (0-180 minutes, default is 0 (No Limit))
# Number: 0~180
# Mandatory
P4421=0

# Ring Frequency. 20 - 20Hz default, 25 - 25Hz. Default is 20.
# Number: 20, 25
# Mandatory
P4430 = 20

# Enable High Ring Power. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
P4235=0

# RFC2833 Events Count.
# Number: 2-10
# Mandatory
P28174 = 8

# RFC2833 End Events Count.
# Number: 2-10
# Mandatory
P28178 = 3

# Ring Tone 1
# String
P4030 = c=2000/4000;

# Ring Tone 2
# String
P4031 = c=2000/4000;

# Ring Tone 3
# String
P4032 = c=2000/4000;

# Ring Tone 4
# String
P4033 = c=2000/4000;

# Ring Tone 5
# String
P4034 = c=2000/4000;

# Ring Tone 6
# String
P4035 = c=2000/4000;

# Ring Tone 7
# String
P4036 = c=2000/4000;

# Ring Tone 8
# String
P4037 = c=2000/4000;

# Ring Tone 9
# String
P4038 = c=2000/4000;

# Ring Tone 10
# String
P4039 = c=2000/4000;

# Distinctive Call Waiting Tone. Call Waiting Tone Choice 1 to Choice 3
# Number: 0, 1, 2, 3, 4, 5, 6, 7, 8, 9
# 0 - Call Waiting Tone 1, 1- Call Waiting Tone 2, 2 - Call Waiting Tone 3, 3 - Call Waiting Tone 4, 4  - Call Waiting Tone 5, 5  - Call Waiting Tone 6, 6  - Call Waiting Tone 7, 8  - Call Waiting Tone 9, 9  - Call Waiting Tone 10     
# Mandatory
P29174 = 0 
P29175 = 0 
P29176 = 0 

# Used if incoming caller ID is. The caller ID to match the call waiting tone. 
# String Max Length: 64
P29177 =  
P29178 = 
P29179 =  

# Call Waiting Tone. Call Waiting Tone 1-10
# String Max Length: 64
# Mandatory
P29180 = f1=440@-13,c=300/10000; 
P29181 = f1=440@-13,c=300/10000; 
P29182 = f1=440@-13,c=300/10000; 
P29183 = f1=440@-13,c=300/10000; 
P29184 = f1=440@-13,c=300/10000; 
P29185 = f1=440@-13,c=300/10000; 
P29186 = f1=440@-13,c=300/10000; 
P29187 = f1=440@-13,c=300/10000; 
P29188 = f1=440@-13,c=300/10000; 
P29189 = f1=440@-13,c=300/10000; 

# Enable Call Features. 0 - No, 1 - Yes, 2 - Enable All
# Number: 0, 1, 
# Mandatory
P751=1

# Reset Call Features. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24399=0

# SRTP Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24260 = 1

# Enable SRTP. 
# Number
# Mandatory
P24201 = 16

# Disable SRTP.
# Number
# Mandatory
P24202 = 17

# SRTP per call Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24261 = 1

# Enable SRTP per call. 
# Number
# Mandatory
P24203 = 18

# Disable SRTP per call.
# Number
# Mandatory
P24204 = 19

# CID Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24262 = 1

# Enable CID. 
# Number
# Mandatory
P24206 = 31

# Disable CID.
# Number
# Mandatory
P24205 = 30

# CID per call Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24265 = 1

# Enable CID per call. 
# Number
# Mandatory
P24219 = 82

# Disable CID per call.
# Number
# Mandatory
P24210 = 67

# Direct IP Calling Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24263 = 1

# Direct IP Calling. 
# Number
# Mandatory
P24207 = 47

# CW Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24264 = 1

# Enable CW. 
# Number
# Mandatory
P24209 = 51

# Disable CW.
# Number
# Mandatory
P24208 = 50

# CW per call Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24267 = 1

# Enable CW per call. 
# Number
# Mandatory
P24213 = 71

# Disable CW per call.
# Number
# Mandatory
P24212 = 70

# Call Return Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24266 = 1

# Call Return. 
# Number
# Mandatory
P24211 = 69

# Unconditional Forward Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24268 = 1

# Enable Unconditional Forward. 
# Number
# Mandatory
P24214 = 72

# Disable Unconditional Forward.
# Number
# Mandatory
P24215 = 73

# Busy Forward Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24272 = 1

# Enable Busy Forward. 
# Number
# Mandatory
P24221 = 90

# Disable Busy Forward.
# Number
# Mandatory
P24222 = 91

# Delayed Forward Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24273 = 1

# Enable Delayed Forward. 
# Number
# Mandatory
P24223 = 92

# Disable Delayed Forward.
# Number
# Mandatory
P24224 = 93

# Paging Feature. 0 - No, 1 - Yes
# Number
# Mandatory
P24269 = 1

# Paging
# Number
# Mandatory
P24216 = 74

# DND Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24270 = 1

# Enable DND. 
# Number
# Mandatory
P24217 = 78

# Disable DND.
# Number
# Mandatory
P24218 = 79

# Blind Transfer Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
P24271 = 1

# Enable Blind Transfer. 
# Number
# Mandatory
P24220 = 87

# Disable LEC per call Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P24274 = 1

# Disable LEC per call.
# Number
# Mandatory
P24225 = 03 

# Star Code 3WC Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P24275 = 1 

# Star Code 3WC.
# Number
# Mandatory
P24226 = 23 

# Forced Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P24259 = 1 

# Forced Codec.
# Number
# Mandatory
P24200 = 02 

# PCMU Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P24276 = 1 

# PCMU Codec.
# Number
# Mandatory
P24227 = 7110 

# PCMA Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P24277 = 1 

# PCMA Codec.
# Number
# Mandatory
P24228 = 7111

# G723 Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P24278 = 1

# G723 Codec.
# Number
# Mandatory
P24229 = 723

# G729 Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P24279 = 1

# G729 Codec.
# Number
# Mandatory
P24230 = 729

# iLBC Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P24284 = 1

# iLBC Codec.
# Number
# Mandatory
P24235 = 7201

# G722 Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P24285 = 1 

# G722 Codec.
# Number
# Mandatory
P24236 = 722

##############################################################################
##  FXS Ports                                                               ##
##############################################################################
# FXS Port 1
# SIP USER ID, Authenticate ID, Password, Name, Profile ID (0 - Profile 1, 1 - Profile 2)
# Hunting Group (0 - None, 1 - Active, 2 - 2, 3 - 3, 4 - 4)
# Request URI Routing ID
# Enable Port(0 - No, 1 - Yes, default is Yes)
# Offhook Auto-dial(Set the destination for auto-dial after offhook)
# String Max Length: 64
P4060 =

# String Max Length: 64  
P4090 =

# String Max Length: 64 
# Mandatory 
P4120 = 

# String Max Length: 64  
P4180 =

# Number: 0 to 1
# Mandatory 
P4150 =

# Number: 0 to 2
# Mandatory
P4300 =

# String Max Length: 64
P4669 = 

# Number: 0,1
P4595 = 1

# String Max Length: 64 
P4210 =

# FXS Port 2
# SIP USER ID, Authenticate ID, Password, Name, Profile ID (0 - Profile 1, 1 - Profile 2)
# Hunting Group (0 - None, 1 - Active, 2 - 2, 3 - 3, 4 - 4)
# Request URI Routing ID
# Enable Port(0 - No, 1 - Yes, default is Yes)
# Offhook Auto-dial(Set the destination for auto-dial after offhook)
# String Max Length: 64  
P4061 =

# String Max Length: 64  
P4091 =

# String Max Length: 64  
P4121 = 

# String Max Length: 64  
P4181 =

# Number: 0 to 1
# Mandatory
P4151 =

# Number: 0 to 2
# Mandatory
P4301 =

# String Max Length: 64
P4670 = 

# Number: 0,1
P4596 = 1

# String Max Length: 64 
P4211 =

##############################################################################
##  FXS Ports 3 and FXS Port 4 for HT814                                    ##
##############################################################################
# FXS Port 3
# SIP USER ID, Authenticate ID, Password, Name, Profile ID (0 - Profile 1, 1 - Profile 2)
# Hunting Group (0 - None, 1 - Active, 2 - 2, 3 - 3, 4 - 4)
# Request URI Routing ID
# Enable Port(0 - No, 1 - Yes, default is Yes)
# Offhook Auto-dial(Set the destination for auto-dial after offhook)
# String Max Length: 64
P4062 =

# String Max Length: 64  
P4092 =

# String Max Length: 64 
# Mandatory 
P4122 = 

# String Max Length: 64  
P4182 =

# Number: 0 to 1
# Mandatory 
P4152 =

# Number: 0 to 2
# Mandatory
P4302 =

# String Max Length: 64 
P4671 =

# Number: 0,1
P4597 = 1

# String Max Length: 64 
P4212 =

# FXS Port 4
# SIP USER ID, Authenticate ID, Password, Name, Profile ID (0 - Profile 1, 1 - Profile 2)
# Hunting Group (0 - None, 1 - Active, 2 - 2, 3 - 3, 4 - 4)
# Request URI Routing ID
# Enable Port(0 - No, 1 - Yes, default is Yes)
# Offhook Auto-dial(Set the destination for auto-dial after offhook)
# String Max Length: 64
P4063 =

# String Max Length: 64  
P4093 =

# String Max Length: 64 
# Mandatory 
P4123 = 

# String Max Length: 64  
P4183 =

# Number: 0 to 1
# Mandatory 
P4153 =

# Number: 0 to 2
# Mandatory
P4303 =

# String Max Length: 64
P4672 = 

# Number: 0,1
P4598 = 1

# String Max Length: 64 
P4213 =

##############################################################################
##  Basic Settings.                                                         ##
##############################################################################
# End User Password
# String
# P196=123

# New Viewer Password. Default is viewer.
# Max Character Number: 30
# P28113=viewer 

# Web Session Timeout. In 1 to 60 minutes range. Default value is 10
# Number: 1 to 60
# Mandatory
P28116 = 10

# Web Access Attempt Limit. Default value is 5
# Number: 1 to 10
# Mandatory
P28117 = 5

# Web Lockout Duration. In 0 to 60 minutes range. Default value is 15
# Number: 0 to 60
# Mandatory
P1683 = 15

# Web Access Mode. 0 - HTTPS, 1 - HTTP, 2 - Disabled.
# Number: 0, 1
# Mandatory
P1650 = 1

# HTTP Web Port. Default HTTP is 80.
# Number: 1 to 65535
# Mandatory
P901=80

# HTTPS Web Port. Defaut HTTPS port is 443.
# Number: 1 to 65535
# Mandatory
P27010=443

# Disable SSH. 1 - Yes, 0 - No.
# Number: 0, 1
# Mandatory
P276=0

# SSH Port. Default SSH port is 22.
# String
# Mandatory
P27006 = 22

# SSH Idle Timeout. Default is 0.
# Number: 0 - 86400. In seconds.
# Mandatory
P28163 = 0

# Disable Telnet. 0 - No, 1 - Yes. Default is 1.
# Number: 0, 1
# Mandatory
P28120 = 1

# Telnet Port. Default Telnet port is 23. This should be different from SSH port. 
# String Max Length: 5
# Mandatory
P28128 = 23

# Telnet Idle Timeout. Default is 0.
# Number: 0 - 86400. In seconds.
# Mandatory
P28164 = 0

# WAN Side Web/SSH Access. 0 - No, 1 - Yes , 2 - Auto (WAN side access will be rejected if set to No)
# Default is 2 - Auto. When set to Auto, if the device is using public IP address, WAN side HTTP/SSH access will be disabled; 
# if the device is using private IP address, it will be enabled.
# Number: 0,1,2 
# Mandatory 
P190 = 0

# White List for WAN Side. Only the IP address in white list can access Web and SSH.
# String ipaddress
P20701=

# Black List for WAN Side. The IP address in black list can not access Web or SSH.
# String ipaddress
P20702=

# Internet Protocol. 0 - Both, prefer IPv4, 1 - Both, prefer IPv6, 2 - IPv4 Only, 3 - IPv6 Only. Default is IPv4 Only
# Number: 0, 1, 2, 3
# Mandatory
P1415 = 2

# IP Address. 0 - DHCP, 2 - PPPoE, 1 - Static IP
# Number: 0, 1, 2
# Mandatory
P8=0

#################################################################################
# DHCP
# DHCP Hostname, DHCP option 12. Max length allowed is 32 bytes.
P146=

# DHCP domain name
# String
# Maximum Length: 32
P147=

# DHCP Vendor Class ID, DHCP option 60. Max length allowed is 32 bytes.
# String
P148=HT802

#################################################################################
# PPPoE
# PPPoE account ID
# String
# P82=

# PPPoE password
# String
#P83=

# PPPoE Service Name
# String
#P269=

# 1st Preferred DNS server
# Number: 0 to 255
#P92=0
#P93=0
#P94=0
#P95=0

# 2nd Preferred DNS server
# Number: 0 to 255
#P5026=0
#P5027=0
#P5028=0
#P5029=0

# 3rd Preferred DNS server
# Number: 0 to 255
#P5030=0
#P5031=0
#P5032=0
#P5033=0

# 4th Preferred DNS server
# Number: 0 to 255
#P5034=0
#P5035=0
#P5036=0
#P5037=0

#################################################################################
# Static IP
# IP Address. Ignore if DHCP or PPPoE is used
# Number: 0 to 255
#P9=192
#P10=168
#P11=0
#P12=160

# Subnet mask. Ignore if DHCP or PPPoE is used
# Number: 0 to 255
#P13=255
#P14=255
#P15=0
#P16=0

# Router. Ignore if DHCP or PPPoE is used
# Number: 0 to 255
#P17=0
#P18=0
#P19=0
#P20=0

# DNS 1. Ignore if DHCP or PPPoE is used
# Number: 0 to 255
#P21=0
#P22=0
#P23=0
#P24=0

# DNS 2. Ignore if DHCP or PPPoE is used
# Number: 0 to 255
#P25=0
#P26=0
#P27=0
#P28=0

# IPv6 Address type. 0 - dynamically assigned via DHCP, 1 - statically Configured. Default is 0.
# Number: 0, 1
# Mandatory
P1419 = 0

# IPv6 Address type: Statically configured. 0 - Full Static, 1 - Prefix Static
# Number: 0, 1
# Mandatory
P1426 = 0

# Full Static: Static IPv6 Address
P1420 =

# Full Static: IPv6 Prefix Length
P1421 =

# Prefix Static: IPv6 Prefix(64bits)
# Max Character Number : 40
P1422 = 

# DNS Server 1 for IPv6 Address
# String: a-z, A-Z, 0-9, ".", ":", "[", "]"
P1424 =

# DNS Server 2 for IPv6 Address
# String: a-z, A-Z, 0-9, ".", ":", "[", "]"
P1425 =

# Preferred DNS Server for IPv6 Address
# String: a-z, A-Z, 0-9, ".", ":", "[", "]"
P1423 =

# Virtual Network Interface.
# Network Setting For Management Interface
#
# Enable Management Interface. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P28161 = 0

# Management Access. 0- Management Interface Only, 1 - Both Services and Management Interfaces
# Number： 0， 1
# Mandatory
P28162 = 0

# Voice VLAN Type. 0 - dynamically assigned via DHCP, 1 - statically configured as
# Number: 0, 1
# Mandatory = 0
P22105 = 0

# Static IP Settings
#
# IP Address.
# ipaddress
P22106 = 192.168.100.100

# Subnet Mask. 
# ipaddress
P22107 = 255.255.255.0

# Default Router.
# ipaddress
P22108 = 192.168.100.1

# DNS Server 1
# ipaddress
P22109 = 0.0.0.0

# DNS Server 2
# ipaddress
P22110 = 0.0.0.0

# Management Interface IPv4 Address:802.1Q/VLAN Tag
# Number: 0-4094
P22111 = 0

# Management Interface IPv4 Address: 802.1p priority value
# Number: 0-7
P22112 = 0

#################################################################################
#Time Zone. Offset in minutes to GMT
# <value=TZA+12> GMT-12:00 (International Date Line West)
# <value=TZB+11> GMT-11:00 (Midway Island, Samoa)
# <value=HAW10> GMT-10:00 (US Hawaiian Time)
# <value=AKST9AKDT> GMT-09:00 (US Alaska Time)
# <value=PST8PDT> GMT-08:00 (US Pacific Time, Los Angeles)
# <value=PST8PDT,M4.1.0,M10.5.0> GMT-08:00 (Baja California)
# <value=MST7MDT> GMT-07:00 (US Mountain Time, Denver)
# <value=MST7> GMT-07:00 (Mountain Time (Arizona, no DST))
# <value=MST7MDT,M4.1.0,M10.5.0> GMT-07:00 (Chihuahua, La Paz, Mazatlan)
# <value=CST6CDT> GMT-06:00 (Central Time)
# <value=CST+6> GMT-06:00 (Central America)
# <value=CST6CDT,M4.1.0,M10.5.0> GMT-06:00 (Guadalajara, Mexico City, Monterrey)
# <value=EST5EDT> GMT-05:00 (Eastern Time)
# <value=EST5> GMT-05:00 (Eastern Time without daylight saving)
# <value=TZf+4:30> GMT-04:30 (Caracas)
# <value=AST4ADT> GMT-04:00 (Atlantic Time)
# <value=AST4ADT,M4.1.0/00:01:00,M10.5.0/00:01:00> GMT-04:00 (Atlantic Time (New Brunswick))
# <value=NST+3:30NDT+2:30,M4.1.0/00:01:00,M10.5.0/00:01:00> GMT-03:30 (Newfoundland Time)
# <value=TZK+3> GMT-03:00 (Greenland)
# <value=BRST+3BRDT+2,M10.3.0,M2.3.0> GMT-03:00 (Brazil, Sao Paulo)
# <value=UTC+3> GMT-02:00 (Argentina)
# <value=TZL+2> GMT-02:00 (Mid-Atlantic)
# <value=TZM+1> GMT-01:00 (Azores, Cape Verde Is.)
# <value=TZN+0> GMT (Edinburgh, Casablanca, Monrovia)
# <value=GMT+0BST-1,M3.5.0/01:00:00,M10.5.0/02:00:00> GMT (London, Great Britain)
# <value=WET-0WEST-1,M3.5.0/01:00:00,M10.5.0/02:00:00> GMT (Lisbon, Portugal)
# <value=GMT+0IST-1,M3.5.0/01:00:00,M10.5.0/02:00:00> GMT (Dublin, Ireland)
# <value=TZO-1> GMT+01:00 (Paris, Vienna, Warsaw)
# <value=CET-1CEST-2,M3.5.0/02:00:00,M10.5.0/03:00:00> GMT+01:00 (Roma, Paris, Madrid, Prague, Berlin, Budapest, Amsterdam, Barcelona)
# <value=TZO-1> GMT+01:00 (Brussels, Belgium)
# <value=TZP-2> GMT+02:00 (Israel, Cairo, Athens, Istanbul, Bucharest)
# <value=EET-2EEST-3,M3.5.0/03:00:00,M10.5.0/04:00:00> GMT+02:00 (Helsinki, Athens, Tallinn)
# <value=EET-2EEST,M3.5.0/3,M10.5.0/4> GMT+02:00 (Kyiv, Ukraine)
# <value=TZQ-3> GMT+03:00 (Kuwait, Baghdad, Tehran, Nairobi)
# <value=MSK-3MSD,M3.5.0/2,M10.5.0/3> GMT+03:00 (Moscow, Russia)
# <value=MST-3MDT,M3.5.0/2,M10.5.0/3> GMT+03:00 (St.Petersburg, Russia)
# <value=TZR-4> GMT+04:00 (Abu Dhabi, Baku)
# <value=TZS-5> GMT+05:00 (Islamabad, Ekaterinburg, Karachi, Tashkent)
# <value=TZT-5:30> GMT+05:30 (Chennai, New Delhi, Mumbai)
# <value=TZU-5:45> GMT+05:45 (Kathmandu)
# <value=TZV-6> GMT+06:00 (Almaty, Astana, Dhaka, Novosibirsk)
# <value=TZW-6:30> GMT+06:30 (Rangoon)
# <value=TZX-7> GMT+07:00 (Bankok, Hanoi, Krasnoyarsk)
# <value=WIB-7> GMT+07:00 (Jakarta)
# <value=TZY-8> GMT+08:00 (Beijing, Taipei, Kuala Lumpur, Irkutsk)
# <value=SGT-8> GMT+08:00 (Singapore)
# <value=ULAT-8> GMT+08:00 (Ulaanbaatar, Mongolia)
# <value=WST-8> GMT+08:00 (Perth)
# <value=TZZ-9> GMT+09:00 (Japan, Korea, Yakutsk)
# <value=CST-9:30CDT-10:30,M10.5.0/02:00:00,M3.5.0/03:00:00> GMT+09:30 (Adelaide)
# <value=CST-9:30> GMT+09:30 (Darwin)
# <value=TZb-10> GMT+10:00 (Guam)
# <value=EST-10EDT-11,M10.1.0/02:00:00,M3.5.0/03:00:00> GMT+10:00 (Hobart)
# <value=EST-10EDT-11,M10.5.0/02:00:00,M3.5.0/03:00:00> GMT+10:00 (Sydney, Melbourne, Canberra)
# <value=EST-10> GMT+10:00 (Brisbane)
# <value=TZc-11> GMT+11:00 (Magadan, Solomon Is., New Caledonia)
# <value=NZST-12NZDT-13,M10.1.0/02:00:00,M3.3.0/03:00:00> GMT+12:00 (Auckland, Wellington)
# <value=TZd-12> GMT+12:00 (Fiji)
# <value=TZe-13> GMT+13:00 (Nuku'alofa)
# <value=customize> Using self-defined Time Zone
# Mandatory
P64=customize

# Self-Defined Time Zone
# String
P246=MTZ+6MDT+5,M3.2.0,M11.1.0

# Allow DHCP server to set Time Zone. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P143=1

# Language. 0 - English, 4 - Chinese, 6 - Russian, 10 - Spanish
# Number: 0, 4, 6, 10
# Mandatory
P342=0

################################################
# NAT/DHCP Server Information & Configuration ##
################################################
# Device Mode. 0 -NAT Router, 1 - Bridge
# Number: 0,1 
# Mandatory 
# Reboot required 
P231 = 0

# NAT maximum ports. range: 0 - 4096, default is 1024
# Number: 0 to 4096 
# Mandatory 
# Reboot required 
P896 = 1024

# NAT TCP timeout. range: 0 - 3600, default is 3600
# Number: 0 to 3600
# Mandatory 
# Reboot required 
P897 = 3600

# NAT UDP timeout. range: 0 - 3600, default is 300
# Number: 0 to 3600
# Mandatory 
# Reboot required 
P898 = 300

# Uplink bandwidth. 
#<value=0> Disabled
#<value=2> 128k
#<value=3> 256k
#<value=4> 512k
#<value=5> 1M
#<value=8> 2M
#<value=9> 3M
#<value=6> 4M
#<value=10> 5M
#<value=7> 10M
#<value=11> 15M
# Number: 0, 2-11 
# Mandatory 
# Reboot required 
P867 = 0

# Downlink bandwidth.
#<value=0> Disabled
#<value=2> 128k
#<value=3> 256k
#<value=4> 512k
#<value=5> 1M
#<value=8> 2M
#<value=9> 3M
#<value=6> 4M
#<value=10> 5M
#<value=7> 10M
#<value=11> 15M
# Number: 0, 2-11 
# Mandatory 
# Reboot required  
P868 = 0

# Enable UPnP support. 0 - No, 1 - Yes
# Number: 0,1 
# Mandatory 
P890 = 0

# Reply to ICMP on WAN port. 0 - No, 1 - Yes. Unit will not respond to PING from WAN side if set to No.
# Number: 0,1 
# Mandatory 
P189 = 0

# Enable LAN DHCP. 0 - No, 1 - Yes
# Number: 0,1 
# Mandatory 
P5001 = 1

# LAN DHCP Base IP. (base IP for the LAN port, default is 192.168.2.1)
#P111 = 192.168.2.1
# LAN DHCP Start IP. (default is 100) 
# Number: 0 to 255
# Mandatory 
P5002 = 100

# LAN DHCP End IP. (default is 199)
# Number: 0 to 255
# Mandatory 
P5003 = 199

# LAN Subnet Mask.  Default is 255.255.255.0.
#P110 = 
#DHCP IP Lease Time, in units of hours, default is 120 hours or 5 days.
#P112 = 120
#DMZ IP.
#P113 =
###########################################
# Port Forwarding Settings.               #
###########################################
#############  Choice 1 ####################################
# WAN Port
# Number: 0 to 65535
P150 =

# LAN IP
# String: ipaddress 
P158 =

# LAN Port
# Number: 1 to 65535
P166 =

# Protocol.  0 - UDP Only, 1 - TCP Only, 2 - TCP and UDP.
# Number: 0,1,2
# Mandatory 
P174 =

#############  Choice 2 ####################################
# WAN Port
# Number: 1 to 65535
P151 =

# LAN IP
# String: ipaddress 
P159 =

# LAN Port
# Number: 1 to 65535
P167 =

# Protocol.  0 - UDP Only, 1 - TCP Only, 2 - TCP and UDP.
# Number: 0,1,2
# Mandatory 
P175 =

#############  Choice 3 ####################################
# WAN Port
# Number: 1 to 65535
P152 =

# LAN IP
# String: ipaddress 
P160 =

# LAN Port
# Number: 1 to 65535
P168 =

# Protocol.  0 - UDP Only, 1 - TCP Only, 2 - TCP and UDP.
# Number: 0,1,2
# Mandatory  
P176 =

#############  Choice 4 ####################################
# WAN Port
# Number: 1 to 65535
P153 =

# LAN IP
# String: ipaddress 
P161 =

# LAN Port
# Number: 1 to 65535
P169 =

# Protocol.  0 - UDP Only, 1 - TCP Only, 2 - TCP and UDP.
# Number: 0,1,2
# Mandatory
P177 =

#############  Choice 5 ####################################
# WAN Port
# Number: 1 to 65535
P154 =

# LAN IP
# String: ipaddress 
P162 =

# LAN Port
# Number: 1 to 65535
P170 =

# Protocol.  0 - UDP Only, 1 - TCP Only, 2 - TCP and UDP.
# Number: 0,1,2
# Mandatory 
P178 =

#############  Choice 6 ####################################
# WAN Port
# Number: 1 to 65535
P155 =

# LAN IP
# String: ipaddress 
P163 =

# LAN Port
# Number: 1 to 65535 
P171 =

# Protocol.  0 - UDP Only, 1 - TCP Only, 2 - TCP and UDP.
# Number: 0,1,2
# Mandatory 
P179 =

#############  Choice 7 ####################################
# WAN Port
# Number: 1 to 65535
P156 =

# LAN IP
# String: ipaddress 
P164 =

# LAN Port
# Number: 1 to 65535
P172 =

# Protocol.  0 - UDP Only, 1 - TCP Only, 2 - TCP and UDP.
# Number: 0,1,2
# Mandatory 
P180 =

#############  Choice 8 ####################################
# WAN Port
# Number: 1 to 65535
P157 = 

# LAN IP
# String: ipaddress 
P165 = 

# LAN Port
# Number: 1 to 65535
P173 = 

# Protocol.  0 - UDP Only, 1 - TCP Only, 2 - TCP and UDP.
# Number: 0,1,2
# Mandatory 
P181 = 

##############################################################################
##  P values not on WEB                                                     ##
##############################################################################
# TTL values for keep alive messages
# Number: 1 to 255
#P20517=64(Profile1)
#P20518=64(Profile2)

# ARP interval for network monitor
#P20711=20

# Number of gateway ARP response failures allowed for network monitor
#P20712=1

# Idle Call Setup Action 1. 0 - Continue, 1 - Busy Tone, 2 - Howler Tone, 3 - CPC (disconnect), 4 - Reorder Tone, 5 - Silence, 6 - Stop Sequence.
# Number: 0, 1, 2, 3, 4, 5, 6
# Mandatory
# P28000 = 0 (Profile1)
# P28001 = 0 (Profile2)

# Duration of Idle Call Setup Action 1. Default is 60 seconds.
# Number:  1 - 3600. In seconds.
# Mandatory
# P28004 = 60 (Profile1)
# P28005 = 60 (Profile2)

# Idle Call Setup Action 2. 0 - Continue, 1 - Busy Tone, 2 - Howler Tone, 3 - CPC (disconnect), 4 - Reorder Tone, 5 - Silence, 6 - Stop Sequence.
# Number: 0, 1, 2, 3, 4, 5, 6
# Mandatory
# P28016 = 2 (Profile1)
# P28017 = 2 (Profile2)

# Duration of Idle Call Setup Action 2. Default is 30 seconds.
# Number:  1 - 3600. In seconds.
# Mandatory
# P28020 = 30 (Profile1)
# P28021 = 30 (Profile2)

# Idle Call Setup Action 3. 0 - Continue, 1 - Busy Tone, 2 - Howler Tone, 3 - CPC (disconnect), 4 - Reorder Tone, 5 - Silence, 6 - Stop Sequence.
# Number: 0, 1, 2, 3, 4, 5, 6
# Mandatory
# P28032 = 6 (Profile1)
# P28033 = 6 (Profile2)

# Duration of Idle Call Setup Action 3. Default is 1 seconds.
# Number:  1 - 3600. In seconds.
# Mandatory
# P28036 = 1 (Profile1)
# P28037 = 1 (Profile2)

# Packet Stats
#P28157 = 

# Provider Lock Authentication
#P9997=

# Provider Lock Password
#P9998=0

# Provider Lock Enabled. 0 - No, 1- Yes
# Could be provisioned via config file, need to reboot after provision.
# Number: 0, 1
#P9999=0

# DNS Cache Refresh Time. 1 - 1440 minutes, defualt is 30 minutes. Configurable from cfg file only, need to reboot to take effect. 
# Number: 1 - 1440
# Mandatory
# P4208 = 30

# DNS Cache Duration. 1 - 1440 minutes, defualt is 0 - Disabled. Configurable from cfg file only, need to reboot to take effect. 
# Number: 0 - 1440
# Mandatory
# P28160 = 0

# Web Access Privilege Pattern. 1 - Telefonica Spain, 0 - Default. Defualt is 0. Configurable from cfg file or SSH. If set to 1, User Level can only see the Status page. Under the Status page, CDR/SIP log and GR909 page will not shown. 
# Number: 0, 1
# Mandatory
# P28152 = 0